from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XApproveActionBroadcaster(XInterface, Protocol):
    def addApproveActionListener(self, aListener: XApproveActionListener) -> None: ...
    def removeApproveActionListener(self, aListener: XApproveActionListener) -> None: ...
